﻿
$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://github.com/t1m0thyj/WinDynamicDesktop/releases/download/v4.4.0/WinDynamicDesktop_4.4.0_Setup.exe'

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  fileType      = 'EXE'
  url           = $url

  softwareName  = 'WinDynamicDesktop*'

  checksum      = 'cb1460f044606cc2ce64ed51fe82efb7d4aac0c31027ffdde1d6a076fcec2b0f'
  checksumType  = 'sha256'

  silentArgs    = '/VERYSILENT /SUPPRESSMSGBOXES /NORESTART /SP-'
  validExitCodes= @(0)
}

Install-ChocolateyPackage @packageArgs
